Perform custom sorting in Angular File Manager component

18 Nov 20183 minutes to read

The File Manager component provides a way to customize the default sort action for the LargeIconsView by defining thesortComparer property. For sorting individual columns in the DetailsView, the sortComparer property can be defined in the columns property.

Note: To achieve natural sorting like Windows Explorer, you can import the SortComparer function from the '@syncfusion/ej2-angular-filemanager'. If you want to perform your own custom sorting, you can define your own SortComparer function.

The following example demonstrates how to define a custom sort comparer function to achieve natural sorting behavior for the LargeIconsView and the name column in DetailsView.

import { BrowserModule } from '@angular/platform-browser'
import { NgModule } from '@angular/core'
import { FileManagerModule, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager'
import { Component } from '@angular/core';
import { sortComparer } from '@syncfusion/ej2-angular-filemanager';

@Component({
    imports: [FileManagerModule,],
    providers: [NavigationPaneService, ToolbarService, DetailsViewService],
    standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: `<ejs-filemanager id='overview' [ajaxSettings]='ajaxSettings' [sortComparer]='sortComparer' [detailsViewSettings]='detailsViewSettings' height="375px"></ejs-filemanager>`
})
export class AppComponent {
    public ajaxSettings?: object;
    public sortComparer?: object;
    public detailsViewSettings?: object;
    public hostUrl: string = 'https://physical-service.syncfusion.com/';
    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/NaturalSorting/FileOperations',
            getImageUrl: this.hostUrl + 'api/NaturalSorting/GetImage',
            uploadUrl: this.hostUrl + 'api/NaturalSorting/Upload',
            downloadUrl: this.hostUrl + 'api/NaturalSorting/Download'
        };
        this.sortComparer = sortComparer;
        this.detailsViewSettings = {
            columns: [
                { field: 'name', headerText: 'File Name', minWidth: 120, width: 'auto', customAttributes: { class: 'e-fe-grid-name' }, template: '${name}', sortComparer: sortComparer },
                { field: 'size', headerText: 'File Size', minWidth: 50, width: '110', template: '${size}' },
                { field: '_fm_modified', headerText: 'Date Modified', minWidth: 50, width: '190' }
            ]
        };
    }
}
@import "node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Perform custom sorting in React File Manager component

18 Nov 20184 minutes to read

The File Manager component provides a way to customize the default sort action for the LargeIconsView by defining the sortComparer property and for sorting individual columns in the DetailsView by defining the sortComparer property in the columns property.

Note: To achieve natural sorting like Windows Explorer, you can import the SortComparer function from the '@syncfusion/ej2-react-filemanager'. If you want to perform your own custom sorting, you can define your own SortComparer function.

The following example demonstrates how to define custom sort comparer function to achieve natural sorting behavior for the LargeIconsView and name column in DetailsView.

import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject, sortComparer } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';

function App() {
  let hostUrl = "https://physical-service.syncfusion.com/";
  let ajaxSettings = {
    downloadUrl: hostUrl + 'api/NaturalSorting/Download',
    getImageUrl: hostUrl + "api/NaturalSorting/GetImage",
    uploadUrl: hostUrl + 'api/NaturalSorting/Upload',
    url: hostUrl + "api/NaturalSorting/FileOperations"
  };
  let detailsViewSettings = {
    columns: [
      { field: 'name', headerText: 'File Name', minWidth: 120, width: 'auto', sortComparer: sortComparer },
      { field: 'size', headerText: 'File Size', minWidth: 50, width: '110', template: '${size}' },
      { field: '_fm_modified', headerText: 'Date Modified', minWidth: 50, width: '190' }
    ]
  };
  let height = "375px";

  return (<div className="control-section">
    <FileManagerComponent id="file" height={height} ajaxSettings={ajaxSettings} detailsViewSettings={detailsViewSettings} sortComparer={sortComparer}>
      <Inject services={[NavigationPane, DetailsView, Toolbar]} />
    </FileManagerComponent>
  </div>);
}
export default App;
import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject, sortComparer } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';

function App() {
  let hostUrl : string = "https://physical-service.syncfusion.com/";
  let ajaxSettings: object = {
    downloadUrl: hostUrl + 'api/NaturalSorting/Download',
    getImageUrl: hostUrl + "api/NaturalSorting/GetImage",
    uploadUrl: hostUrl + 'api/NaturalSorting/Upload',
    url: hostUrl + "api/NaturalSorting/FileOperations"
  };
  let detailsViewSettings: object = {
    columns: [
      { field: 'name', headerText: 'File Name', minWidth: 120, width: 'auto', sortComparer: sortComparer },
      { field: 'size', headerText: 'File Size', minWidth: 50, width: '110', template: '${size}' },
      { field: '_fm_modified', headerText: 'Date Modified', minWidth: 50, width: '190' }
    ]
  };
  let height: string = "375px";

  return (<div className="control-section">
    <FileManagerComponent id="file" height={height} ajaxSettings={ajaxSettings} detailsViewSettings={detailsViewSettings} sortComparer={sortComparer}>
      <Inject services={[NavigationPane, DetailsView, Toolbar]} />
    </FileManagerComponent>
  </div>);
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';

ReactDOM.render( <App />, document.getElementById('root') as HTMLElement);

Perform custom sorting in Vue FileManager component

18 Nov 20185 minutes to read

The Vue File Manager component provides a way to customize the default sort action for the LargeIconsView by defining the sortComparer property and for sorting individual columns in the DetailsView by defining the sortComparer property in the columns property.

Note: To achieve natural sorting like Windows Explorer, you can import the SortComparer function from the '@syncfusion/ej2-vue-filemanager'. If you want to perform your own custom sorting, you can define your own SortComparer function.

The following example demonstrates how to define custom sort comparer function to achieve natural sorting behavior for the LargeIconsView and name column in DetailsView.

<template>
    <div id="app">
        <ejs-filemanager id="file-manager" :ajaxSettings="ajaxSettings" :sortComparer="sortComparer" :detailsViewSettings="detailsViewSettings">
        </ejs-filemanager>
    </div>
</template>

<script setup>
import { provide } from "vue";

import { FileManagerComponent as EjsFilemanager, DetailsView, NavigationPane, Toolbar, sortComparer } from "@syncfusion/ej2-vue-filemanager";

const ajaxSettings =
{
    url: "https://physical-service.syncfusion.com/api/NaturalSorting/FileOperations",
    getImageUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/GetImage",
    uploadUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/Upload",
    downloadUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/Download"
};
const sortComparer = sortComparer;
const detailsViewSettings = {
    columns: [
        {field: 'name', headerText: 'File Name', minWidth: 120, width: 'auto', customAttributes: { class: 'e-fe-grid-name' },template: '${name}', sortComparer: sortComparer},
        {field: 'size', headerText: 'File Size',minWidth: 50, width: '110', template: '${size}'},
        { field: '_fm_modified', headerText: 'Date Modified',minWidth: 50, width: '190'}
    ]
};
provide('filemanager',  [DetailsView, NavigationPane, Toolbar]);

</script>

<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
</style>
<template>
    <div id="app">
        <ejs-filemanager id="file-manager" :ajaxSettings="ajaxSettings" :sortComparer="sortComparer" :detailsViewSettings="detailsViewSettings">
        </ejs-filemanager>
    </div>
</template>

<script>

import { FileManagerComponent, DetailsView, NavigationPane, Toolbar, sortComparer } from "@syncfusion/ej2-vue-filemanager";

export default {
    name: "App",
    components: {
        "ejs-filemanager":FileManagerComponent,
    },
    data () {
        return {
           ajaxSettings:
            {
                url: "https://physical-service.syncfusion.com/api/NaturalSorting/FileOperations",
                getImageUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/GetImage",
                uploadUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/Upload",
                downloadUrl: "https://physical-service.syncfusion.com/api/NaturalSorting/Download"
            },
            sortComparer: sortComparer,
            detailsViewSettings: {
                columns: [
                    {field: 'name', headerText: 'File Name', minWidth: 120, width: 'auto', customAttributes: { class: 'e-fe-grid-name' },template: '${name}', sortComparer: sortComparer},
                    {field: 'size', headerText: 'File Size',minWidth: 50, width: '110', template: '${size}'},
                    { field: '_fm_modified', headerText: 'Date Modified',minWidth: 50, width: '190'}
                ]
            }
        };
    },
    provide: {
            filemanager: [DetailsView, NavigationPane, Toolbar]
    }
}
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
</style>